# GetCustomerStatus POST https://api-demo.brij.fi/brij.core.v1.customer.Service/GetCustomerStatus Content-Type: application/json Get onboarding and partner status for the customer. Reference: https://docs.brij.fi/api/brij-customer-api/brij-core-v-1-customer-service-get-customer-status ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: customer-api version: 1.0.0 paths: /brij.core.v1.customer.Service/GetCustomerStatus: post: operationId: brij-core-v-1-customer-service-get-customer-status summary: GetCustomerStatus description: Get onboarding and partner status for the customer. tags: - '' parameters: - name: X-API-Key in: header required: true schema: type: string responses: '200': description: Success content: application/json: schema: $ref: >- #/components/schemas/brij.core.v1.customer.GetCustomerStatusResponse requestBody: content: application/json: schema: $ref: >- #/components/schemas/brij.core.v1.customer.GetCustomerStatusRequest servers: - url: https://api-demo.brij.fi - url: https://api.brij.fi components: schemas: brij.data.v1.TransactionType: type: string enum: - ONRAMP - OFFRAMP description: TransactionType represents the direction of a crypto transaction title: brij.data.v1.TransactionType brij.core.v1.customer.OrderContext: type: object properties: fromCurrency: type: string toCurrency: type: string fromAmount: type: string transactionType: $ref: '#/components/schemas/brij.data.v1.TransactionType' paymentMethod: type: string description: Order context for policy evaluation during requirements resolution title: brij.core.v1.customer.OrderContext brij.core.v1.customer.GetCustomerStatusRequest: type: object properties: partnerId: type: string description: Optional - if provided, includes partner-specific status orderContext: $ref: '#/components/schemas/brij.core.v1.customer.OrderContext' description: >- Optional - when provided, enables order-specific policy evaluation for partner status title: brij.core.v1.customer.GetCustomerStatusRequest brij.core.v1.customer.CustomerStatus: type: string enum: - CUSTOMER_STATUS_PENDING_KYC - CUSTOMER_STATUS_PROCESSING - CUSTOMER_STATUS_ACTIVE - CUSTOMER_STATUS_REJECTED description: Customer status (combines compliance status and flags) title: brij.core.v1.customer.CustomerStatus brij.core.v1.customer.Rejection: type: object properties: reason: type: string title: brij.core.v1.customer.Rejection brij.core.v1.customer.GetCustomerStatusResponse: type: object properties: onboardingStatus: $ref: '#/components/schemas/brij.core.v1.customer.CustomerStatus' partnerStatus: $ref: '#/components/schemas/brij.core.v1.customer.CustomerStatus' description: Optional - only set if partner_id was provided in request rejections: type: array items: $ref: '#/components/schemas/brij.core.v1.customer.Rejection' description: Partner-level overall rejection reasons title: brij.core.v1.customer.GetCustomerStatusResponse securitySchemes: IntegratorApiKey: type: apiKey in: header name: X-API-Key CustomerAuthToken: type: http scheme: bearer ``` ## SDK Code Examples ```python import requests url = "https://api-demo.brij.fi/brij.core.v1.customer.Service/GetCustomerStatus" payload = {} headers = { "X-API-Key": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api-demo.brij.fi/brij.core.v1.customer.Service/GetCustomerStatus'; const options = { method: 'POST', headers: {'X-API-Key': '', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api-demo.brij.fi/brij.core.v1.customer.Service/GetCustomerStatus" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("X-API-Key", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api-demo.brij.fi/brij.core.v1.customer.Service/GetCustomerStatus") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["X-API-Key"] = '' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api-demo.brij.fi/brij.core.v1.customer.Service/GetCustomerStatus") .header("X-API-Key", "") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('POST', 'https://api-demo.brij.fi/brij.core.v1.customer.Service/GetCustomerStatus', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', 'X-API-Key' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api-demo.brij.fi/brij.core.v1.customer.Service/GetCustomerStatus"); var request = new RestRequest(Method.POST); request.AddHeader("X-API-Key", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "X-API-Key": "", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api-demo.brij.fi/brij.core.v1.customer.Service/GetCustomerStatus")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```